SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
RefCountedObj Class Reference

World's simplest class :) More...

`#include <slikenet/RefCountedObj.h>`

## Public Member Functions

| RefCountedObj ()
virtual | ~RefCountedObj ()
void | AddRef (void)
void | Deref (void)

## Public Attributes

int | refCount

## Detailed Description

World's simplest class :)

Definition at line 28 of file RefCountedObj.h.

## Constructor & Destructor Documentation

RefCountedObj::RefCountedObj | ( |  | ) |

inline

Definition at line 31 of file RefCountedObj.h.

References refCount.

virtual RefCountedObj::~RefCountedObj | ( |  | ) |

inlinevirtual

Definition at line 32 of file RefCountedObj.h.

## Member Function Documentation

void RefCountedObj::AddRef | ( | void |  | ) |

inline

Definition at line 33 of file RefCountedObj.h.

References refCount.

void RefCountedObj::Deref | ( | void |  | ) |

inline

Definition at line 34 of file RefCountedObj.h.

References _FILE_AND_LINE_, SLNet::OP_DELETE(), and refCount.

## Member Data Documentation

int RefCountedObj::refCount

Definition at line 35 of file RefCountedObj.h.

Referenced by AddRef(), Deref(), and RefCountedObj().

The documentation for this class was generated from the following file:

- Source/include/slikenet/RefCountedObj.h